import numpy as np
from seismostats.utils.coordinates import CoordinateTransformer

local_proj = 'epsg:2056'
bedretto_reference = np.array(
    [8.47449792444771, 46.5098187019071, 1271.43402303251])
injection_point_local = np.array(
    [-228.9221, 295.0458, 1469.236])


transformer = CoordinateTransformer(
    local_proj, *bedretto_reference, ref_proj=4326)

injection_point_wgs84 = transformer.from_local_coords(-228.9221, 295.0458)


# altitude to depth with 0 as the surface
print(
    f'''Injection point:
    {injection_point_wgs84[0]},
    {injection_point_wgs84[1]},
    {-injection_point_local[2]}''')
